#include <bits/stdc++.h>
using namespace std;
int main()
{
	char c1,c2;
	cin>>c1>>c2;
	int a,b;
	scanf("%i%i",&a,&b);
	if(abs(a-b)>=2)
	{
		printf("nemoguce");
		return 0;
	}
	else if(a>b)
	{
		for(int i=1;i<=a+b;i++)
		{
			if(i%2==1)	cout<<c1;
			else	cout<<c2;
		}
	}
	else if(a<=b)
	{
		for(int i=1;i<=a+b;i++)
		{
			if(i%2==1)	cout<<c2;
			else	cout<<c1;
		}
	}
	return 0;
}